module.exports = (componentName, componentCamelName) => ({
  content: `// Generated with util/create-component.js
import React, { useEffect, useState } from "react";

import { ${componentCamelName}Props } from "./${componentName}.types";

import "./${componentName}.less";

class ${componentCamelName} extends React.Component<${componentCamelName}Props> {
  render() {
    const { options } = this.props;

    // do something...
    
    return (<div data-testid="${componentName}" className="${componentName}-box">{options.type}</div>)
  }
};

export default ${componentCamelName};

`,
  extension: '.tsx'
})
