import baseConfig from "./rollup.config";
import serve from 'rollup-plugin-serve'
import livereload from 'rollup-plugin-livereload'


baseConfig.plugins.push(
  livereload(),
  serve({
    contentBase: ['dist', 'static'],
    port: 1234,
    headers: {
      'Access-Control-Allow-Origin': '*',
    },
    onListening: function (server) {
      console.log(process.env.NODE_ENV, 'gag');
      console.log(`Server listening at http://locahost:1234`)
    }
  })
)
export default {
  ...baseConfig
};

